/**
 * BeanPot Bean Container Project.
 * Copyright (C) 2009  Rubecula Software, LLC.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Module: BeanPotLogFactory.java
 * Created on Sep 15, 2009
 * @version $Revision: 1.1 $
 */

package com.rubecula.beanpot;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogConfigurationException;
import org.apache.commons.logging.impl.LogFactoryImpl;

/**
 * @author Robin Hillyard
 * 
 */
public class BeanPotLogFactory extends LogFactoryImpl {

	/**
	 * @see org.apache.commons.logging.impl.LogFactoryImpl#getInstance(java.lang.Class)
	 */
	@Override
	public Log getInstance(@SuppressWarnings("rawtypes") final Class clazz) throws LogConfigurationException {
		return getInstance(clazz.getCanonicalName());
	}

	/**
	 * @see org.apache.commons.logging.impl.LogFactoryImpl#getInstance(java.lang.String)
	 */
	@Override
	public Log getInstance(final String name) throws LogConfigurationException {
		return new BeanPotLogger(name);
	}

}
