/**
 * BeanPot Bean Container Project.
 * Copyright (C) 2009  Rubecula Software, LLC.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Module: Type.java
 * Created on Oct 21, 2009
 * @version $Revision: 1.1 $
 */

package com.rubecula.beanpot;

/**
 * This enum defines the different bean types.
 * 
 * @author Robin Hillyard
 * 
 */
public enum Type {

	/**
	 * A bean which is constructed in the normal way. There may be many such
	 * beans, each with a different key, obviously. This is the default type.
	 */
	INSTANCE,
	/**
	 * A singleton bean which is referenced in the bean container by invoking
	 * the class method getInstance().
	 */
	SINGLETON,
	/**
	 * An externally provided bean which is constructed externally and added to
	 * the bean map via the method imposeBean(), typically by the class that is
	 * responsible for configuring and running the bean pot.
	 */
	EXTERNAL;

}
