/**
 * BeanPot Bean Container Project.
 * Copyright (C) 2009  Rubecula Software, LLC.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Module: MBeanTestMBean.java
 * Created on Mar 26, 2009
 * @version $Revision: 1.1 $
 */

package com.rubecula.beanpot.jmx;

/**
 * This is the MBean interface defined by the MBeanTest class. In other words,
 * these are the methods which will be exposed by the JMX agent.
 * 
 * @author Robin Hillyard
 * 
 */
public interface MBeanTestMBean {

	/**
	 * @return the identifier of this MBean.
	 */
	public abstract Long getId();

	/**
	 * @return true if this MBean is running
	 */
	public abstract boolean isRunning();

	/**
	 * Set the running status according to the value of
	 * 
	 * @param running
	 */
	public abstract void setRunning(final boolean running);

}