/**
 * BeanPot Bean Container Project.
 * Copyright (C) 2009  Rubecula Software, LLC.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Module: SerializeOutputStream.java
 * Created on Jul 28, 2010
 * @version $Revision: 1.1 $
 */

package com.rubecula.beanpot.serialize;

import java.io.IOException;
import java.io.ObjectOutputStream;
import java.io.OutputStream;

/**
 * @author Robin Hillyard
 * 
 */
public class SerializeOutputStream extends ObjectOutputStream {

	/**
	 * @param out
	 * @throws IOException
	 */
	public SerializeOutputStream(final OutputStream out) throws IOException {
		super(out);
		this._out = out;
	}

	/**
	 * Invokes {@link #close()} on the super object, and also on {@link #_out}.
	 * 
	 * @see java.io.ObjectOutputStream#close()
	 */
	@Override
	public void close() throws IOException {
		super.close();
		this._out.close();
	}

	private final OutputStream _out;

}
