/**
 * BeanPot Bean Container Project.
 * Copyright (C) 2009  Rubecula Software, LLC.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Module: Serializer_Url.java
 * Created on Jul 28, 2010
 * @version $Revision: 1.1 $
 */

package com.rubecula.beanpot.serialize;

import java.io.IOException;
import java.io.ObjectStreamConstants;
import java.net.URL;

/**
 * This is just a sample of another source/sink type. It has NOT been tested.
 * 
 * @author Robin Hillyard
 * 
 */
public final class Serializer_Url extends Serializer_ {

	/**
	 * @param url
	 * @param restore
	 * @return
	 * @throws IOException
	 */
	private static ObjectStreamConstants createSerializerStream(final URL url, final boolean restore) throws IOException {
		if (restore)
			return new SerializeInputStream(url.openConnection().getInputStream());
		return new SerializeOutputStream(url.openConnection().getOutputStream());
	}

	/**
	 * @param url
	 *            XXX
	 * @param restore
	 *            XXX
	 * @throws IOException
	 */
	Serializer_Url(final URL url, final boolean restore) throws IOException {
		super(createSerializerStream(url, restore));
	}

}
